This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497966 - (AlsaVolume) Tracking bug: bad default volumes for audio devices
Tracking bug: bad default volumes for audio devices
Status: NEW
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Tracking
Depends On: 470633 495148 497557 497937 497978 498145 498453 498612 499172 499831 500081 501276 502246 502283 503265 505353 506507 507221 508442 508508 508676 510629 517769 543612 571958 590907 598686 625188 659111 1034449 1114219
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 01:48 EDT by Adam Williamson
Modified: 2014-06-28 15:33 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/tmp/alsainfo.txt as required by the tracker bug (26.00 KB, text/plain)
2009-04-29 13:56 EDT, Mathieu Bridon
no flags Details
amixer settings before and after running 'alsactl init' (1.47 KB, text/plain)
2014-05-01 07:37 EDT, phob0ss13
no flags Details

  None (edit)
Description Adam Williamson 2009-04-28 01:48:59 EDT
This is a blocker bug to track the various manifestations of the problem whereby the default volume settings for a sound device are such that changing the 'primary' mixer element (usually Master) - as PulseAudio's volume control code does - does not produce a satisfactory range of volumes (e.g. even with PulseAudio's volume maxed out, audio is inaudible or too quiet).
Comment 1 Adam Williamson 2009-04-28 03:25:42 EDT
Triagers and reporters, when reporting bugs of this type, the following procedure should be followed. Please do *not* report issues of this type by commenting on this bug, file a new bug and mark it as blocking this bug ('AlsaVolume').

1. Attach the file /tmp/alsa-info.txt, after running 'alsa-info.sh --no-upload'

2. To find out exactly what you had to change to control your volume, please do this, as root:

alsactl init
amixer -c0 > amixer_before.txt

Now verify that your problem exists again. Then run a mixer and make the changes you have to make to 'resolve' your problem. Then go back to running commands:

amixer -c0 > amixer_after.txt

Then attach the files 'amixer_before.txt' and 'amixer_after.txt' to the bug report. The commands above assume the important sound device is card #0 in the output of 'cat /proc/asound/cards' . If this is not the case, change -c0 in each of the above commands to -cN, where N is the actual number of the important device in 'cat /proc/asound/cards' - for instance, if it's card number 2 in that list, change all -c0 to -c2 .

3. Also please include an exact description of the problem, including how your card behaves before the problem is fixed, how it behaves after the problem is fixed, and information on your actual sound output device - are you using a simple pair of computer speakers? Internal speakers on a laptop? Headphones? A digital S/PDIF connection to an external decoder?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adrin Jalali 2009-04-28 10:24:57 EDT
Another problem is that I can't chose mic input device with that and I used xfce UI to do that.
Comment 3 Adam Williamson 2009-04-28 19:56:50 EDT
"Another problem is that I can't chose mic input device with that and I used
xfce UI to do that."

That's far outside the scope of this tracker and is a known missing feature in g-v-c which will be addressed in future. No need to talk about it here.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Mathieu Bridon 2009-04-29 13:56:28 EDT
Created attachment 341806 [details]
/tmp/alsainfo.txt as required by the tracker bug
Comment 5 Mathieu Bridon 2009-04-29 13:58:07 EDT
Sorry, I attached the file in this tracker bug instead of in my own bug -_-

I can't delete it now...

/me goes to flagellate himself
Comment 6 Lennart Poettering 2009-04-30 16:17:54 EDT
I don't agree that this should be a blocker.
Comment 7 Adam Williamson 2009-04-30 19:23:47 EDT
I agree with Lennart, it doesn't make sense for it to be a blocker as finding these bugs will likely be an ongoing process. (Wasn't me who set it as one.)
Comment 8 Lennart Poettering 2009-05-02 10:56:28 EDT
dropping from f11target then.
Comment 9 Adam Williamson 2009-05-04 16:23:23 EDT
jens knutson: I saw you added yourself to CC - do you have a bug of this type? If so, has it already been reported? Thanks!
Comment 10 Jaroslav Kysela 2009-05-13 04:08:40 EDT
Note that changes in alsa-utils-1.0.20 should resolve most of issues reported in depedendent bugs.
Comment 11 Adam Williamson 2009-05-14 14:34:06 EDT
jaroslav: can we get those changes into F11, maybe as 0-day updates?
Comment 12 John Poelstra 2009-06-08 15:24:29 EDT
Adding 'Tracking' keyword to be excluded from rawhide rebase to Fedora 11
Comment 13 Adam Williamson 2009-06-12 12:17:43 EDT
I see several people adding themselves to CC for this bug without adding extra reports to the blocker list.

This type of bug has no single, central fix: if you are experiencing a bug of this type with hardware that does not already have a bug report filed, you *need to file a report for your hardware*, or it will never get fixed. If you've filed such a report, please add it to the list of bugs that blocks this bug, so we can track it properly. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Eric Moret 2009-08-16 18:20:34 EDT
I have a problem that I´d like to report following the above procedure, however, after having verified that I get it resolved using the legacy mixer, I am unable to reset my setup so as to reproduce the problem with alsactl init, and of course I did not take amixer -c0 output prior to fixing it :( Is there anything else I can try to fully reset my setup?
Comment 15 Eric Moret 2009-08-16 22:05:32 EDT
(In reply to comment #14)
Never mind, I got it not working again after rebooting.
Comment 16 Onur Samiloglu 2010-07-08 04:23:49 EDT
I have low sound problems, too. I have Lenovo Thinkpad T400 with Intel HDA sound and the level of sound is very low compared to under Windows.

I have maxed out all settings with different mixers such as alsamixer, xfce4-mixer, gnome-volume-control, etc. but nothing fixed that.

I even tried putting "options snd-hda-intel model=auto" into /etc/modprobe.d/alsa-base but that one didn't help, too.

my alsa-info output is at:
http://www.alsa-project.org/db/?f=acca09bacfa60c0a08831fdc95608b013fb32dfb

and I have a little suggestion as a fix. Maybe a "boost sound" tickbox or parameter can help us improve the sound output, just like the mic settings for various sound chips under Windows. The only thing in does will be multiplying of the level of sound by a fixed value (maybe 3x or 4x). At the moment, the sound is barely hearable even around 25%.
Comment 17 Raymond 2010-09-09 02:49:27 EDT
(In reply to comment #16)
> I have low sound problems, too. I have Lenovo Thinkpad T400 with Intel HDA
> sound and the level of sound is very low compared to under Windows.
> 
> I have maxed out all settings with different mixers such as alsamixer,
> xfce4-mixer, gnome-volume-control, etc. but nothing fixed that.
> 
> I even tried putting "options snd-hda-intel model=auto" into
> /etc/modprobe.d/alsa-base but that one didn't help, too.
> 
> my alsa-info output is at:
> http://www.alsa-project.org/db/?f=acca09bacfa60c0a08831fdc95608b013fb32dfb
> 
> and I have a little suggestion as a fix. Maybe a "boost sound" tickbox or
> parameter can help us improve the sound output, just like the mic settings for
> various sound chips under Windows. The only thing in does will be multiplying
> of the level of sound by a fixed value (maybe 3x or 4x). At the moment, the
> sound is barely hearable even around 25%.

http://git.alsa-project.org/?p=alsa-kernel.git;a=blob;f=Documentation/laptops/thinkpad-acpi.txt


The ThinkPad-ACPI volume control:

The preferred way to interact with the Console Audio control is the
ALSA interface.

The legacy procfs interface allows one to read the current state,
and if volume control is enabled, accepts the following commands:

	echo up   >/proc/acpi/ibm/volume
	echo down >/proc/acpi/ibm/volume
	echo mute >/proc/acpi/ibm/volume
	echo unmute >/proc/acpi/ibm/volume
	echo 'level <level>' >/proc/acpi/ibm/volume

The <level> number range is 0 to 14 although not all of them may be
distinct. To unmute the volume after the mute command, use either the
up or down command (the level command will not unmute the volume), or
the unmute command.

You can use the volume_capabilities parameter to tell the driver
whether your thinkpad has volume control or mute-only control:
volume_capabilities=1 for mixers with mute and volume control,
volume_capabilities=2 for mixers with only mute control.


!!Module: thinkpad_acpi
	brightness_enable : 2
	brightness_mode : 4
	enable : Y
	experimental : 0
	fan_control : N
	force_load : N
	hotkey_report_mode : 0
	id : ThinkPadEC
	index : -536870912
	volume_capabilities : 0
	volume_control : N
	volume_mode : 3



state.ThinkPadEC {
	control.1 {
		comment.access read
		comment.type BOOLEAN
		comment.count 1
		iface MIXER
		name 'Console Playback Switch'
		value true
	}
}







does it mean that Fedora no longer use "alsactl restore" and "alsactl store" to keep the mixer setting of the sound card

does Fedora 13 use "alsactl init" to provide default value ?
Comment 18 phob0ss13 2014-05-01 07:37:49 EDT
Created attachment 891462 [details]
amixer settings before and after running 'alsactl init'
Comment 19 phob0ss13 2014-05-01 07:38:56 EDT
I guess my bug can be posted here.
Fedora 20 x86_64 KDE.
Intel HDA sound card.
After every reboot the speaker volume in alsamixer is set to zero. I tried running 'alsactl store' as root after manually adjusting the settings, but it didn't help. The bug was not present after the installation, it was introduced during one of the updates in the end of 2013.
Running alsactl init as root fixes bug for current session. After reboot the sound is zeroed again.
I added an attachment with settings before and after running 'alsactl init'.
Comment 20 Adam Williamson 2014-05-01 10:54:19 EDT
Sorry, this bug is the *tracking* bug - can you please file a new report? (you can set it to block this bug if you like, but I don't know if anyone's paying special attention to bugs that block this bug any more, it's been a long time). Please include all the info listed at https://fedoraproject.org/wiki/How_to_debug_sound_problems . thanks!

Note You need to log in before you can comment on or make changes to this bug.